// eslint-disable-next-line @typescript-eslint/no-require-imports
const pkg = require('./package');

module.exports = {
  apiPath: 'stubs/api',
  webpackConfig: {
    output: {
      publicPath: `/static/${pkg.name}/${process.env.VERSION || pkg.version}/`
    }
  },
  /* use https://admin.bro-js.ru/ to create config, navigations and features */
  navigations: {
    'kfu-24-teacher.main': '/kfu-24-teacher',
    'kfu-24-teacher.detail': '/kfu-24-teacher/detail'
  },
  features: {
    'kfu-24-teacher': {
      // add your features here in the format [featureName]: { value: string }
    }
  },
  config: {
    'kfu-24-teacher.api': '/api'
  }
};
